D_SETFILES(1)

NAME
d_setfiles - set the maximum number of open files

SYNOPSIS
#include <typhoon.h>
d_setfiles(int maxfiles)

DESCRIPTION
d_setfiles sets the maximum number of files that typhoon may have open at the same time. If the current number of open files exceeds maxfiles, Typhoon closes the least recently used files.

DIAGNOSTICS
The status code returned by the function is also stored in the global variable db_status.

S_OKAY
    Operation successful.

S_INVPARM
    The parameter is invalid.

CURRENCY CHANGES
None.

IDENTIFICATION
Author: Thomas B. Pedersen.
Copyright (c) 1994 Thomas B. Pedersen.

SEE ALSO
d_open(1)